#include <9pm/windows.h>
#include <9pm/u.h>
#include <9pm/libc.h>

HMODULE WINAPI
LoadLibrary(LPCWSTR lpLibFileName)
{
	char *file;
	HMODULE h;

	if(win_useunicode)
		return LoadLibraryW(lpLibFileName);
	file = win_wstr2utf(lpLibFileName);
	h = LoadLibraryA(file);
	win_free(file);
	return h;
}
